commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rob Tompkins <chtom...@gmail.com>
Subject Re: [collections][proposal] Java 7
Date Fri, 28 Jul 2017 12:40:50 GMT

> On Jul 27, 2017, at 12:53 PM, Gary Gregory <garydgregory@gmail.com> wrote:
> 
> We have not in the past forced a major version and Maven coordinate change
> when updating the Java platform. We could do that of course.

I’m a tad surprised by this. It feels like updating the minimum accommodated java version
would necessitate a major version change.

-Rob

> 
> Gary
> 
> On Jul 27, 2017 06:47, "Jochen Wiedmann" <jochen.wiedmann@gmail.com> wrote:
> 
>> Wouldn't that make it 5.0? (Binary incompatible change)
>> 
>> Note: I am not opposing the change, I just propose an additional
>> change in the version number.
>> 
>> Jochen
>> 
>> 
>> On Wed, Jul 26, 2017 at 12:18 AM, Gary Gregory <garydgregory@gmail.com>
>> wrote:
>>> Hi All:
>>> 
>>> I propose we make Java 7 the minimum for Commons Collection 4.2.
>>> 
>>> Gary
>> 
>> 
>> 
>> --
>> The next time you hear: "Don't reinvent the wheel!"
>> 
>> http://www.keystonedevelopment.co.uk/wp-content/uploads/2014/10/
>> evolution-of-the-wheel-300x85.jpg
>> 
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
>> For additional commands, e-mail: dev-help@commons.apache.org
>> 
>> 


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message